Bug 11295 - fsck flag is 0, must be 1
: fsck flag is 0, must be 1
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/guile-evms)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-31 23:35 by
Modified: 2007-04-03 20:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-31 23:35:43
в fstab указывается "не проверять файловые системы при загрузке"
(нули в шестой позиции -- порядок проверки (7) прописан правильно)
Steps to Reproduce:
1. ставим 20070330
2. смотрим /etc/fstab
Actual Results:  
... / ... 0 1
... /home ... 0 2

Expected Results:  
... / ... 1 1
... /home ... 1 2
------- Comment #1 From 2007-04-01 00:01:55 -------
А я думал что это мне одному показалось.
Миша, спасибо.
------- Comment #2 From 2007-04-01 01:19:42 -------
вообще-то, пятое поле, ноль в котором смущает, зовётся fs_freq и
используется dump(8). fsck использует только шестое, fs_passno,
о чём ясно говорится в fstab(5) и fsck(8) и в чём нетрудно убедиться
на практике.

------- Comment #3 From 2007-04-01 01:24:49 -------
Последнее поле - это порядок проверки fsck, там не должно быть 0 (и, насколько
я
помню, там сейчас уже прописывается не 0).
Предпоследнее поле - это backup, 0 там тоже нежелателен.
------- Comment #4 From 2007-04-01 01:34:03 -------
0 в fs_passno прописывался для swap и для всего ниже /mnt
------- Comment #5 From 2007-04-01 01:40:23 -------
что до fs_freq, можно привести доводы в пользу значения,
отличного от нуля, коль это blocker (oops, уже major)
можно считать это любопытством.
------- Comment #6 From 2007-04-01 15:38:00 -------
(In reply to comment #5)
> что до fs_freq, можно привести доводы в пользу значения,
> отличного от нуля, коль это blocker (oops, уже major)
Уже minor, поскольку ноль вынудит многих таки почитать fstab(5), помимо fsck(8),
но предвидится заметное количество неоправданных вопросов в community@, раз уж и
я купился.

Поставь единичку, чтоб не трогать привычку.
------- Comment #8 From 2007-04-03 20:19:38 -------
to proper package
------- Comment #9 From 2007-04-03 20:20:02 -------
fixed in guile-evms-0.3-alt9